Bug 1399715 (CVE-2016-9623) - CVE-2016-9623 w3m: Integer overflow resulting in segmentation fault
Summary: CVE-2016-9623 w3m: Integer overflow resulting in segmentation fault
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9623
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1401423 1401424
Blocks: 1399744
TreeView+ depends on / blocked
 
Reported: 2016-11-29 15:34 UTC by Andrej Nemec
Modified: 2019-09-29 14:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-17 08:38:56 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-29 15:34:03 UTC
An integer overflow will occur in w3m while parsing maliciously crafted input.

Upstream bug:

https://github.com/tats/w3m/issues/33

Upstream fixes:

https://github.com/tats/w3m/commit/af592aa5f154f1b0366513ddc2f545032a7b8721

References:

http://seclists.org/oss-sec/2016/q4/488

Comment 1 Huzaifa S. Sidhpurwala 2016-12-05 08:53:34 UTC
Created w3m tracking bugs for this issue:

Affects: fedora-all [bug 1401423]
Affects: epel-7 [bug 1401424]


Note You need to log in before you can comment on or make changes to this bug.